/*
 * <COPYRIGHT>
 * Copyright 2005 Gerd Stolpmann
 *
 * <GPL>
 * This file is part of UMLMON-Web.
 *
 * UMLMON-Web is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * UMLMON-Web is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with UMLMON-Web; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * </>
 */

/* General Javascript functions */

function check_filename(message, id) {
    var box = document.getElementById(id);
    if (/^[-a-zA-Z0-9_.]+$/.test(box.value)) {
        return true
    } else {
        alert(message);
        return false;
    }
}

function check_filename_or_empty(message, id) {
    var box = document.getElementById(id);
    if (/^[-a-zA-Z0-9_.]*$/.test(box.value)) {
        return true
    } else {
        alert(message);
        return false;
    }
}

function check_size(message, id) {
    var box = document.getElementById(id);
    if (/^[1-9][0-9]*$/.test(box.value)) {
        return true
    } else {
        alert(message);
        return false;
    }
}
